{"openapi":"3.0.4","info":{"title":"Get the logs for traces.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/insights"}],"paths":{"/api/candelatraces":{"get":{"tags":["Candela Traces"],"summary":"Get the logs for traces.","operationId":"ListTraceLogs","parameters":[{"name":"filter","in":"query","description":"Expression to filter the result set. Read more about [filtering results from LUSID](https://support.lusid.com/filtering-results-from-lusid).","schema":{"maxLength":3000,"minLength":0,"pattern":"^[\\s\\S]*$","type":"string"}},{"name":"sortBy","in":"query","description":"Order the results by these fields. Use the '-' sign to denote descending order e.g. -MyFieldName. Multiple fields can be denoted by a comma e.g. -MyFieldName,AnotherFieldName,-AFurtherFieldName","schema":{"maxLength":16384,"minLength":1,"pattern":"^[\\s\\S]*$","type":"string"}},{"name":"limit","in":"query","description":"When paginating, only return this number of records. The minimum value is 0 and the maximum is 10000.","schema":{"maximum":10000,"minimum":0,"type":"integer","format":"int32"},"x-nullable":true},{"name":"page","in":"query","description":"Encoded pagwwwwe string returned from a previous search result that will retrieve the next page of data. When this field is supplied, filter and sortby fields should not be supplied.","schema":{"maxLength":4500,"minLength":1,"pattern":"^[a-zA-Z0-9\\+/]*={0,3}$","type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"/docs/api/insights/schemas.json#/components/schemas/ResourceListOfTraceLog"}},"text/plain":{"schema":{"$ref":"/docs/api/insights/schemas.json#/components/schemas/ResourceListOfTraceLog"}},"text/json":{"schema":{"$ref":"/docs/api/insights/schemas.json#/components/schemas/ResourceListOfTraceLog"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/insights/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/insights/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/insights/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/insights/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"EarlyAccess"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}